Bug 1664156 - krb5: clean up etype display on KDC
Summary: krb5: clean up etype display on KDC
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robbie Harwood
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/krb5/krb5/pull/891
Whiteboard:
Keywords:
Depends On:
Blocks: 1664157
TreeView+ depends on / blocked
 
Reported: 2019-01-07 22:39 UTC by Robbie Harwood
Modified: 2019-02-02 02:35 UTC (History)
7 users (show)

(edit)
Clone Of:
: 1664157 (view as bug list)
(edit)
Last Closed: 2019-01-19 02:26:10 UTC


Attachments (Terms of Use)

Description Robbie Harwood 2019-01-07 22:39:57 UTC
The KDC logs every request.  This is helpful for potential auditing, and potentially helpful for debugging.  In particular, a log entry might look like this:

Dec 17 22:49:26 kerberos.rharwood.biz krb5kdc[548](info): TGS_REQ (8 etypes {18 17 20 19 16 23 25 26}) 192.168.122.112: ISSUE: authtime 1545086274, etypes {rep=20 tkt=20 ses=20}, rharwood@RHARWOOD.BIZ for postgres/psql-server.rharwood.biz@RHARWOOD.BIZ

or

Dec 17 22:37:54 kerberos.rharwood.biz krb5kdc[548](info): AS_REQ (8 etypes {18 17 20 19 16 23 25 26}) 192.168.122.112: ISSUE: authtime 1545086274, etypes {rep=20 tkt=20 ses=20}, rharwood@RHARWOOD.BIZ for krbtgt/RHARWOOD.BIZ@RHARWOOD.BIZ

These would be more helpful if they logged *names* of enctypes, rather than their numbers.

Comment 1 Fedora Update System 2019-01-17 21:57:35 UTC
krb5-1.16.1-25.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d226c3ecf1

Comment 2 Fedora Update System 2019-01-17 21:57:38 UTC
krb5-1.16.1-25.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0956d60ffd

Comment 3 Fedora Update System 2019-01-18 03:05:11 UTC
krb5-1.16.1-25.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0956d60ffd

Comment 4 Fedora Update System 2019-01-18 03:36:30 UTC
krb5-1.16.1-25.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d226c3ecf1

Comment 5 Fedora Update System 2019-01-19 02:26:10 UTC
krb5-1.16.1-25.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-02-02 02:35:48 UTC
krb5-1.16.1-25.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.